org.eclipse.cdt.core.settings.model.util

## Class ListComparator

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.ListComparator

    public class ListComparator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ListComparator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List[]` `compare(Object[] a1, Object[] a2)`
`static List[]` `compare(Object[] a1, Object[] a2, Comparator c)`
`static List` `getAdded(Object[] a1, Object[] a2)`
`static List` `getAdded(Object[] a1, Object[] a2, Comparator c)`
`static Comparator` `getDefaultComparator()`
`static boolean` `haveMatches(Object[] a1, Object[] a2)`
`static boolean` `haveMatches(Object[] a1, Object[] a2, Comparator c)`
`static int` `indexOf(Object o, Object[] a)`
`static int` `indexOf(Object o, Object[] a, Comparator c)`
`static boolean` `match(Object[] a1, Object[] a2, Comparator c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListComparator

    public ListComparator()

### Method Detail

#### getDefaultComparator

    public static Comparator getDefaultComparator()

#### compare

    public static List[] compare(Object[] a1,
                                 Object[] a2)

#### compare

    public static List[] compare(Object[] a1,
                                 Object[] a2,
                                 Comparator c)

#### getAdded

    public static List getAdded(Object[] a1,
                                Object[] a2)

#### getAdded

    public static List getAdded(Object[] a1,
                                Object[] a2,
                                Comparator c)

#### match

    public static boolean match(Object[] a1,
                                Object[] a2,
                                Comparator c)

#### indexOf

    public static int indexOf(Object o,
                              Object[] a)

#### indexOf

    public static int indexOf(Object o,
                              Object[] a,
                              Comparator c)

#### haveMatches

    public static boolean haveMatches(Object[] a1,
                                      Object[] a2)

#### haveMatches

    public static boolean haveMatches(Object[] a1,
                                      Object[] a2,
                                      Comparator c)